Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface DiscriminatorType<T>

All Superinterfaces:
  IdentifierType<T>, LiteralType<T>, Serializable, Type

All Known Implementing Classes:
  BigIntegerType, BooleanType, ByteType, CharacterType, CharBooleanType, CustomType, IntegerType, LongType, NumericBooleanType, ShortType, StringType, TrueFalseType, UrlType, YesNoType

    public interface DiscriminatorType<T>

extends IdentifierType<T>, LiteralType<T>

Additional contract for a `Type` may be used for a discriminator.

Method Summary

Methods inherited from interface org.hibernate.type.IdentifierType
`stringToObject`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.LiteralType
`objectToSQLString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.